import Dexie from "dexie";
import { ResponseWithdrawBillProps } from "@newSdk/service/api/payment/coinWithdrawDetail";
export declare type WithDrawBillProps = {
    id: string;
    fromId: string;
    address: string;
    coinId: string;
    amount: number;
    serAmount: number;
    outSerAmount: number;
    txId: string;
    description: string;
    refundDesc: string;
    refundTime: number;
    status: number;
    createTime: number;
};
declare class WithDraw {
    static authorize: boolean;
    static dbName: string;
    private db?;
    private store?;
    Event: {
        change: string;
    };
    init(db: Dexie): void;
    bulkPut(list: WithDrawBillProps[]): void;
    bulkGet(ids: string[]): Promise<WithDrawBillProps[]>;
    billTransfer(item: ResponseWithdrawBillProps): WithDrawBillProps;
    publish(list: WithDrawBillProps[]): void;
}
export declare const withDrawBillDetailModal: WithDraw;
export default withDrawBillDetailModal;
